Seru (セル)
=====

[![Build Status](https://travis-ci.org/kostiakoval/Seru.svg?branch=develop)](https://travis-ci.org/kostiakoval/Seru) 
[![Coverage Status](https://coveralls.io/repos/kostiakoval/Seru/badge.png)](https://coveralls.io/r/kostiakoval/Seru)
[![Issue Stats](http://issuestats.com/github/kostiakoval/Seru/badge/pr)](http://issuestats.com/github/kostiakoval/Seru)

##Core Date Stack in Swift.
Seru is a light library that is designed to remove boilerplate code and make work with CoreDate extremely easy.  
Now you can remove all the boilerplate code generated by default apple template and replace it with **1** line of code `PersistenceLayer()`

##Installation
_The infrastructure and best practices for distributing Swift libraries is currently in flux during this beta period of the language and Xcode. In the meantime, you can simply add Sure as a git submodule, drag the Seru.xcodeproj file into your Xcode project, and add the framework product as a dependency for your application target._

Seru use submodules. Run
`git submodule update`
 
## Usages

#### Setup CoreData

Setup Core data stack with model name that matches project name.  
  
This will:  
- Search for "ProjectName" model file  
- Setup PersistanceCoordinator to "ProjectName".sqlite file  
- Setup NSManagedObjectContext  
 
```swift
class AppDelegate: UIResponder, UIApplicationDelegate {            
  lazy var persistence = PersistenceLayer()
  ...
```

Use custom name for model file  
```swift
PersistenceLayer(name: "MyModel")
```

Seru provides default error handler. You can provide your own error handler.
```swift
PersistenceLayer(name: "Example", errorHandler:
  ErrorHandler(errorHandler: { error in
  // custom error handling for all issue related with CoreData
})
```

#### Save

Save main NSManagedObjectContext
```swift
var persistenceController: PersistenceLayer
persistenceController.persist()
```

Save other NSManagedObjectContext
```swift
var otherContenxt: NSManagedObjectContext
var persistenceController: PersistenceLayer
persistenceController.persist(otherContenxt)
```

### TODO
- [ ] CoreData Stack with background saving context
- [ ] Background data importer stack
- [ ] Error handler with UIAlertView
- [ ] Creating child contexts
- [ ] Insert new Object
- [ ] Delete object
